#pragma once

#include "ActionHome.h"

class ROBBASE_API CActionJog :	public CActionHome 
{
public:
	CActionJog(void);
	virtual ~CActionJog(void);

	virtual BOOL Excute(CRobot* pRobot,   HWND hNotifyWnd, int* pErrCode);

	virtual BOOL  StartJog(  int* pErrCode);
	virtual BOOL  StopJog(int* pErrCode);

public: 
	int       m_dir ; 
};

